apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: workclub-ingress
  labels:
    app: workclub
spec:
  rules:
  - host: localhost
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: workclub-frontend
            port:
              number: 80
      - path: /api
        pathType: Prefix
        backend:
          service:
            name: workclub-api
            port:
              number: 80
